<?xml version="1.0" encoding="UTF-8"?>
<cfsdat xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
 xmlns="http://www.cfs++.org/simulation">
  <pipeline>
    <stepValueDefinition>
      <startStop>
        <startStep value="0"/>
        <numSteps value="1"/>
        <!--numSteps value="4400"/-->
        <startTime value="0.00000"/>
        <delta value="4e-5"/>
        <deleteOffset value="no"/>
      </startStop>
      <!--dynamic></dynamic-->
    </stepValueDefinition>

    <meshInput id="input" gridType="fullGrid">
      <inputFile>
        <ensight fileName="testcase/block_3x3x3poly.case" readFVMesh="yes" fixFVPyramids="yes">
            <variableList>
            <variable CFSVarName="fluidMechVelocity" EnsightVarName="Centroid"/>
          </variableList>
        </ensight>
      </inputFile>
    </meshInput>

    <interpolation type="FieldInterpolation_FEBased" id="interp" inputFilterIds="input" >
     <fetype conservative="true" hundredPercent="true" connectivity="true" useFV="true"/>
     <targetMesh>
        <hdf5 fileName="testcase/block_1.5x1.5x1.5.h5"/>
      </targetMesh>
      <singleResult>
        <inputQuantity resultName="fluidMechVelocity"/>
        <outputQuantity resultName="fluidMechVelocityInt"/>
      </singleResult>
      <regions>
        <sourceRegions>
          <region name="Region" />
        </sourceRegions>
        <targetRegions>
          <region name="Region"/>
        </targetRegions>
      </regions>
    </interpolation>




    <meshOutput id="FEBasedInterpolation" inputFilterIds="interp">
      <outputFile>
        <hdf5 extension="h5" compressionLevel="0" externalFiles="no"/>
      </outputFile>
      <saveResults>
        <result resultName="fluidMechVelocityInt">
          <allRegions/>
        </result>
      </saveResults>
    </meshOutput>


  </pipeline>
</cfsdat>
